--- old/usr/src/uts/common/ipp/meters/tokenmt.c	2014-07-28 07:44:45.389669737 -0400
+++ new/usr/src/uts/common/ipp/meters/tokenmt.c	2014-07-28 07:44:45.395598617 -0400
@@ -24,8 +24,6 @@
  * Use is subject to license terms.
  */
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"
-
 #include <sys/types.h>
 #include <sys/kmem.h>
 #include <sys/conf.h>
@@ -84,7 +82,7 @@
 
 	if (mp == NULL) {
 		tokenmt0dbg(("tokenmt_process: null mp!\n"));
-		atomic_add_64(&tokenmt_data->epackets, 1);
+		atomic_inc_64(&tokenmt_data->epackets);
 		return (EINVAL);
 	}
 
@@ -94,7 +92,7 @@
 			mp = mp->b_cont;
 		} else {
 			tokenmt0dbg(("tokenmt_process: no data\n"));
-			atomic_add_64(&tokenmt_data->epackets, 1);
+			atomic_inc_64(&tokenmt_data->epackets);
 			return (EINVAL);
 		}
 	}
@@ -103,7 +101,7 @@
 	if ((mp->b_wptr - mp->b_rptr) < IP_SIMPLE_HDR_LENGTH) {
 		if (!pullupmsg(mp, IP_SIMPLE_HDR_LENGTH)) {
 			tokenmt0dbg(("tokenmt_process: pullup error\n"));
-			atomic_add_64(&tokenmt_data->epackets, 1);
+			atomic_inc_64(&tokenmt_data->epackets);
 			return (EINVAL);
 		}
 	}
@@ -218,14 +216,14 @@
 
 	/* Update Stats */
 	if (*next_action == cfg_parms->green_action) {
-		atomic_add_64(&tokenmt_data->green_packets, 1);
+		atomic_inc_64(&tokenmt_data->green_packets);
 		atomic_add_64(&tokenmt_data->green_bits, pkt_len);
 	} else if (*next_action == cfg_parms->yellow_action) {
-		atomic_add_64(&tokenmt_data->yellow_packets, 1);
+		atomic_inc_64(&tokenmt_data->yellow_packets);
 		atomic_add_64(&tokenmt_data->yellow_bits, pkt_len);
 	} else {
 		ASSERT(*next_action == cfg_parms->red_action);
-		atomic_add_64(&tokenmt_data->red_packets, 1);
+		atomic_inc_64(&tokenmt_data->red_packets);
 		atomic_add_64(&tokenmt_data->red_bits, pkt_len);
 	}
 
